## indexed-gzip 0.3.1

=== requirements.txt ===
cython>=0.24
numpy>=1.11

=== debian/changelog ===
indexed-gzip (0.3.1-1build2) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:31 +0000

indexed-gzip (0.3.1-1build1) artful; urgency=medium

  * No change rebuild to add Python 3.6 support.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 15 May 2017 14:50:28 +1200

indexed-gzip (0.3.1-1) unstable; urgency=low

  * Initial release (Closes: #835493).

 -- Michael Hanke <mih@debian.org>  Wed, 05 Apr 2017 13:09:20 +0200

## indexed-gzip 0.6.1

=== debian/changelog ===
indexed-gzip (0.6.1-1) unstable; urgency=medium

  * New upstream release (missed several intermediate ones).
  * Switch from seemingly fragile pybuild-directed test invocation
    to directly running the tests via distutils.
  * Call dh_numpy to get correct ABI dependency.

 -- Michael Hanke <mih@debian.org>  Sat, 21 Oct 2017 09:19:15 +0200

=== debian/control ===
Source: indexed-gzip
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Alex Waite <Alexqw85@gmail.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               cython,
               cython3,
               dh-python,
               python-all-dev,
               python3-all-dev,
               python-pytest,
               python3-pytest,
               python-pytest-runner,
               python3-pytest-runner,
               python-setuptools,
               python3-setuptools,
               python-numpy,
               python3-numpy,
Standards-Version: 3.9.8
Homepage: https://github.com/pauldmccarthy/indexed_gzip
X-Python-Version: >= 2.7

Package: python-indexed-gzip
Architecture: any
Section: python
Depends: cython,
         python-numpy,
         ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
Provides: ${python:Provides}
Description: fast random access of gzip files in Python
 Drop-in replacement `IndexedGzipFile` for the built-in Python `gzip.GzipFile`
 class that does not need to start decompressing from the beginning of the
 file when for every `seek()`. It gets around this performance limitation by
 building an index, which contains *seek points*, mappings between
 corresponding locations in the compressed and uncompressed data streams. Each
 seek point is accompanied by a chunk (32KB) of uncompressed data which is
 used to initialise the decompression algorithm, allowing to start reading
 from any seek point. If the index is built with a seek point spacing of 1MB,
 only 512KB (on average) of data have to be decompressed to read from any
 location in the file.
 .
 This package provides the Python 2 module.

Package: python3-indexed-gzip
Architecture: any
Section: python
Depends: cython3,
         python3-numpy,
         ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Provides: ${python3:Provides}
Description: fast random access of gzip files in Python
 Drop-in replacement `IndexedGzipFile` for the built-in Python `gzip.GzipFile`
 class that does not need to start decompressing from the beginning of the
 file when for every `seek()`. It gets around this performance limitation by
 building an index, which contains *seek points*, mappings between
 corresponding locations in the compressed and uncompressed data streams. Each
 seek point is accompanied by a chunk (32KB) of uncompressed data which is
 used to initialise the decompression algorithm, allowing to start reading
 from any seek point. If the index is built with a seek point spacing of 1MB,
 only 512KB (on average) of data have to be decompressed to read from any
 location in the file.
 .
 This package provides the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

srcpkg = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Source:' | cut -d ' ' -f 2,2)
debver = $(shell LC_ALL=C dpkg-parsechangelog | grep '^Version:' | cut -d ' ' -f 2,2 )
upstreamver = $(shell echo $(debver) | cut -d '-' -f 1,1 )

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'v[0-9].*' $$(git merge-base -a HEAD upstream) | sed -e 's/^v//' -e 's/-/+git/')

export DH_VERBOSE = 1
export PYBUILD_NAME = indexed-gzip

# one ring to rule them all ...
%:
	dh $@ --with python2,python3 --buildsystem=pybuild


clean::
	python setup.py clean
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build
	-rm -rf indexed_gzip.egg-info/
	# tests leave a bit of trash behind
	-rm ctest_*.gz

# explicitely run the tests via distutils,as the maintainer appears to be
# too stupid to understand how to get pybuild to not fail on test invocation
override_dh_auto_test:
	python2 setup.py test --addopts '--niter 1'
	python3 setup.py test --addopts '--niter 1'

override_dh_install:
	dh_install
	# to get the ABI dependency
	dh_numpy

# make orig tarball from repository content
get-orig-source:
	# orig tarball, turn directory into something nicer
	git archive --format=tar --prefix=$(srcpkg)-$(gitver)/ HEAD | \
		gzip -9 > $(srcpkg)_$(gitver).orig.tar.gz

# check that DSC patches still apply
maint-check-dsc-patches:
	@for p in debian/patches/*-dsc-patch; \
		do echo "check $$p"; \
		patch -p1 --dry-run < $$p || exit 1 ; \
	done

=== debian/tests/control ===
Test-Command: python setup.py test
Depends: @, @builddeps@

Test-Command: python3 setup.py test
Depends: @, @builddeps@

## indexed-gzip 0.8.6

=== debian/changelog ===
indexed-gzip (0.8.6-1.1build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:20:03 +0100

indexed-gzip (0.8.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936732
  * debian/patches/fix-fixtures.patch
    - fix how fixtures are used, needed by pytest >= 4

 -- Sandro Tosi <morph@debian.org>  Sat, 19 Oct 2019 17:02:11 -0400

indexed-gzip (0.8.6-1) unstable; urgency=medium

  * Fresh upstream version, dropping CPed patches

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 27 Jun 2018 10:07:10 -0400

indexed-gzip (0.8.5-2) unstable; urgency=medium

  * debian/patches/0001-BF-Workaround-issue-with-contextlib-older-cython.patch
    for compatibility with older cython
  * debian/patches/control
    - added  Restrictions: allow-stderr  to allow stderr output in the tests.
      Kudos to Paul Gevers for the detailed bug report!  (Closes: #901764)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 26 Jun 2018 11:20:56 -0400

indexed-gzip (0.8.5-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - Added Vcs fields pointing to github fork/repository
  * debian/patches/deb_nocov_tests
    - disabled coverage during tests, no need and this way lightens up
      depends

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Jun 2018 16:50:14 +0800

=== debian/control ===
Source: indexed-gzip
Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>,
           Alex Waite <Alexqw85@gmail.com>,
           Yaroslav Halchenko <debian@onerussian.com>,
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               zlib1g-dev,
               cython3,
               dh-python,
               python3-all-dev,
               python3-pytest,
               python3-pytest-runner,
               python3-setuptools,
               python3-numpy,
Standards-Version: 3.9.8
Homepage: https://github.com/pauldmccarthy/indexed_gzip
Vcs-Browser: https://github.com/neurodebian/indexed_gzip
Vcs-Git: git://github.com/neurodebian/indexed_gzip -b debian

Package: python3-indexed-gzip
Architecture: any
Section: python
Depends: cython3,
         python3-numpy,
         ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends},
Provides: ${python3:Provides}
Description: fast random access of gzip files in Python
 Drop-in replacement `IndexedGzipFile` for the built-in Python `gzip.GzipFile`
 class that does not need to start decompressing from the beginning of the
 file when for every `seek()`. It gets around this performance limitation by
 building an index, which contains *seek points*, mappings between
 corresponding locations in the compressed and uncompressed data streams. Each
 seek point is accompanied by a chunk (32KB) of uncompressed data which is
 used to initialise the decompression algorithm, allowing to start reading
 from any seek point. If the index is built with a seek point spacing of 1MB,
 only 512KB (on average) of data have to be decompressed to read from any
 location in the file.
 .
 This package provides the Python 3 module.

=== debian/rules ===
--- 
+++ 
@@ -15,11 +15,11 @@
 
 # one ring to rule them all ...
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 
 clean::
-	python setup.py clean
+	python3 setup.py clean
 	dh_clean
 	# Ahhhhhhh!
 	rm -rf .pybuild build
@@ -30,13 +30,12 @@
 # explicitely run the tests via distutils,as the maintainer appears to be
 # too stupid to understand how to get pybuild to not fail on test invocation
 override_dh_auto_test:
-	python2 setup.py test --addopts '--niter 1'
 	python3 setup.py test --addopts '--niter 1'
 
 override_dh_install:
 	dh_install
 	# to get the ABI dependency
-	dh_numpy
+	dh_numpy3
 
 # make orig tarball from repository content
 get-orig-source:

=== debian/tests/control ===
Test-Command: python3 setup.py test
Depends: @, @builddeps@
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v(\d)\.(\d).*/indexed_gzip-$1.$2\.tar\.gz/" \
  http://github.com/pauldmccarthy/indexed_gzip/tags .*archive/v(\d[\d.]+).tar.gz

## indexed-gzip 1.6.4

=== debian/changelog ===
indexed-gzip (1.6.4-2build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:43:30 +0000

indexed-gzip (1.6.4-2) unstable; urgency=medium

  * Team upload.
  * Move package to Debian Python Team
  * Remove Alex Waite from Uploaders (no changelog entry)

 -- Andreas Tille <tille@debian.org>  Sun, 02 Jan 2022 08:25:36 +0100

indexed-gzip (1.6.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.6.4

 -- Nilesh Patra <nilesh@debian.org>  Tue, 02 Nov 2021 00:06:53 +0530

indexed-gzip (1.6.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Nilesh Patra <nilesh@debian.org>  Sun, 19 Sep 2021 20:12:10 +0530

indexed-gzip (1.6.2-1) unstable; urgency=medium

  * Team Upload.
  * Add d/gbp.conf
  * New upstream version 1.6.2
  * Standards-Version: 4.6.0 (routine-update)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 07 Sep 2021 17:55:04 +0530

indexed-gzip (1.6.1-1) unstable; urgency=medium

  * Team Upload.
  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target (routine-
    update)
  * Drop get-orig-source target
  * Do not uselessly parse d/changelog
  * Do not parse d/changelog (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Remove unnecessary 'Testsuite: autopkgtest' header.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove Section on python3-indexed-gzip that duplicates source.
  * watch file standard 4 (routine-update)
  * Drop default debian/gbp.conf
  * Drop unrecognized argument niters from tests

  [ Nilesh Patra ]
  * Move package to Debian Med team maintenance
  * d/rules:
    - Build module with develop mode to run build time tests
    Make adjustments to make them pass
    - Drop make-dsc-patch section
  * d/patches: Drop un-needed dsc patch files, which neither apply,
    nor do the releases they target are supported anymore
  * d/tests: remove default autopkgtests, run benchmark as autopkgtests
  * d/copyright: Mention copyright for compat/*

 -- Nilesh Patra <nilesh@debian.org>  Sat, 14 Aug 2021 01:37:13 +0530

indexed-gzip (0.8.6-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: Use niters which is actually parsed
    (Closes: #977068)

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Mar 2021 20:11:24 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: indexed-gzip
-Maintainer: NeuroDebian Team <team@neuro.debian.net>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
-           Alex Waite <Alexqw85@gmail.com>,
            Yaroslav Halchenko <debian@onerussian.com>,
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                cython3,
                dh-python,
@@ -15,14 +13,15 @@
                python3-pytest-runner,
                python3-setuptools,
                python3-numpy,
-Standards-Version: 3.9.8
+               python3-nibabel
+Standards-Version: 4.6.0
 Homepage: https://github.com/pauldmccarthy/indexed_gzip
-Vcs-Browser: https://github.com/neurodebian/indexed_gzip
-Vcs-Git: git://github.com/neurodebian/indexed_gzip -b debian
+Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/python-team/packages/indexed-gzip
+Vcs-Git: https://salsa.debian.org/python-team/packages/indexed-gzip.git
 
 Package: python3-indexed-gzip
 Architecture: any
-Section: python
 Depends: cython3,
          python3-numpy,
          ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

# this figures out the last merge point from 'master' into the Debian branch and
# then described this commit relative to the last release tag (V...)
# If this should make any sense the local upstream branch must track upstream's
# master or whatever other source branch.
gitver = $(shell [ -x /usr/bin/git ] && git describe --tags --match 'v[0-9].*' $$(git merge-base -a HEAD upstream) | sed -e 's/^v//' -e 's/-/+git/')

export DH_VERBOSE = 1
export PYBUILD_NAME = indexed-gzip

# one ring to rule them all ...
%:
	dh $@ --with python3 --buildsystem=pybuild


clean::
	python3 setup.py clean
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build .pytest_cache
	-rm -rf indexed_gzip.egg-info/
	# tests leave a bit of trash behind
	-rm -f ctest_*.gz
	-rm -rf runtests

# explicitely run the tests via distutils,as the maintainer appears to be
# too stupid to understand how to get pybuild to not fail on test invocation
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# Tests are compatible with the develop build, doing that so it loads the pre-conditions
	mkdir -p $(CURDIR)/runtests && cp -a $(CURDIR)/build/* $(CURDIR)/runtests
	python3 setup.py develop --install-dir $(CURDIR)/runtests
	cd $(CURDIR)/runtests && PYTHONPATH=$(CURDIR) python3 -m indexed_gzip.tests && cd $(CURDIR)
	# Cleanup
	rm -rf $(CURDIR)/runtests
endif

override_dh_install:
	dh_install
	# to get the ABI dependency
	dh_numpy3

## indexed-gzip 1.7.0

=== debian/changelog ===
indexed-gzip (1.7.0-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 1.7.0
  * Bump Standards-Version to 4.6.2 (no changes needed)
  * Add patch to fix FTBFS with new numpy (Closes: #1027201)
  * Remove patches to skip nocov, no longer valid
  * Apply riscv64 patch from Eric Long (Closes: #1019469)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 13 Jan 2023 01:01:31 +0530

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-setuptools,
                python3-numpy,
                python3-nibabel
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/pauldmccarthy/indexed_gzip
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/indexed-gzip

## indexed-gzip 1.8.7

=== debian/changelog ===
indexed-gzip (1.8.7-3build4) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:08:23 +0000

indexed-gzip (1.8.7-3build3) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:27:01 +0000

indexed-gzip (1.8.7-3build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 28 Jan 2025 11:26:47 +0000

indexed-gzip (1.8.7-3build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:31:49 +0100

indexed-gzip (1.8.7-3) unstable; urgency=medium

  * Team upload.
  * d/control: switch to PEP-517 building
  * d/rules: use pytest

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 13:01:24 +0200

indexed-gzip (1.8.7-2) unstable; urgency=medium

  * Team upload.
  * d/control: switch to cython3 3.x from the deprecated cython3-legacy.
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 31 Jul 2024 12:01:24 +0200

indexed-gzip (1.8.7-1) unstable; urgency=medium

  [ Matthias Klose ]
  * New upstream version 1.8.7
    Closes: #1070442

  [ Étienne Mollier ]
  * d/control: add myself to uploaders.
  * d/control: declare compliance to standards version 4.7.0.
  * d/{control,rules}: move to dh-sequence-python3.
  * d/copyright: remove reference to compat/ and BSD-3-Clauses.
  * d/control: mark build-time test dependencies.
  * d/control: tests depend on python3-pytest-cov.

 -- Étienne Mollier <emollier@debian.org>  Sat, 25 May 2024 10:16:31 +0200

indexed-gzip (1.7.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Switch to cython3-legacy. Closes: #1056808.

  [ Matthias Klose ]
  * Don't add cython as a runtime dependency. Closes: #1057990.

 -- Matthias Klose <doko@debian.org>  Mon, 11 Dec 2023 22:22:14 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,20 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Hanke <mih@debian.org>,
            Yaroslav Halchenko <debian@onerussian.com>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                cython3,
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all-dev,
-               python3-pytest,
-               python3-pytest-runner,
+               python3-pytest <!nocheck>,
+               python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-numpy,
-               python3-nibabel
+               python3-nibabel <!nocheck>
 Standards-Version: 4.6.2
 Homepage: https://github.com/pauldmccarthy/indexed_gzip
 Rules-Requires-Root: no
@@ -22,8 +24,7 @@
 
 Package: python3-indexed-gzip
 Architecture: any
-Depends: cython3,
-         python3-numpy,
+Depends: python3-numpy,
          ${misc:Depends},
          ${shlibs:Depends},
          ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1
export PYBUILD_NAME = indexed-gzip

# one ring to rule them all ...
%:
	dh $@ --buildsystem=pybuild


clean::
	python3 setup.py clean
	dh_clean
	# Ahhhhhhh!
	rm -rf .pybuild build .pytest_cache
	-rm -rf indexed_gzip.egg-info/
	# tests leave a bit of trash behind
	-rm -f ctest_*.gz
	-rm -rf runtests

execute_after_dh_install:
	dh_numpy3

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v(\d)\.(\d).*/indexed_gzip-$1.$2\.tar\.gz/" \
  https://github.com/pauldmccarthy/indexed_gzip/tags (?:.*?/)?v?(\d[\d.]+)\.tar\.gz

## indexed-gzip 1.10.3

=== debian/changelog ===
indexed-gzip (1.10.3-1) unstable; urgency=medium

  * New upstream version 1.10.3
  * d/watch: convert to v5 Github template.
  * d/control: drop redundant Priority: optional.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/control: declare compliance to standards version 4.7.3.
  * d/control: build depends on python3-numpy-dev.
  * d/rules: clean up cran_test_* leftovers after test.
  * d/rules: disable slow tests.
    Disabling slow_test avoids timeouts on several architectures and
    generally avoids hammering on continuous integration infrastructure.

 -- Étienne Mollier <emollier@debian.org>  Tue, 13 Jan 2026 21:30:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
            Yaroslav Halchenko <debian@onerussian.com>,
            Étienne Mollier <emollier@debian.org>
 Section: python
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                cython3,
@@ -15,10 +14,10 @@
                python3-pytest-cov <!nocheck>,
                python3-setuptools,
                python3-numpy,
+               python3-numpy-dev,
                python3-nibabel <!nocheck>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/pauldmccarthy/indexed_gzip
-Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/indexed-gzip
 Vcs-Git: https://salsa.debian.org/python-team/packages/indexed-gzip.git

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 export DH_VERBOSE = 1
 export PYBUILD_NAME = indexed-gzip
+
+# Disabling slow_test avoids timeouts on several architectures and
+# generally avoids hammering on continuous integration infrastructure.
+export PYBUILD_TEST_ARGS = -k 'not slow_test'
 
 # one ring to rule them all ...
 %:
@@ -20,3 +24,5 @@
 
 execute_after_dh_install:
 	dh_numpy3
+	# tests leave a bit of trash behind (bis repetita)
+	-rm -vf ./debian/python3-indexed-gzip/usr/lib/python3*/dist-packages/ctest_zran_*

=== debian/watch ===
Version: 5

Template: Github
Owner: pauldmccarthy
Project: indexed_gzip
